#!/bin/bash

gcc -o 	problem3_4_2_2.exe 	problem3_4_2_2.c 	dSFMT.c

./problem3_4_2_2.exe


gnuplot <<EOF
set terminal postscript eps enhanced color
set output "PDF.eps"
set size 0.6,0.6
set xlabel "X"
set ylabel "PDF"
set format y "10^{%L}"
set yrange [9*10**-3:]
set log y
plot	"PDF.dat" u 1:2 noti w l ,\
		0.7*exp(-0.5*x) w l title "exp(-0.5x)" lw 3
EOF


gnuplot <<EOF
set terminal postscript eps enhanced color
set output "CDF.eps"
set size 0.6,0.6
set xlabel "X"
set ylabel "CDF"
set format y "10^{%L}"
set yrange [:1]
set log y
plot	"CDF.dat" u 1:2 noti w l ,\
		1.5*exp(-0.5*x) w l title "exp(-0.5x)" lw 3
EOF
