#!/bin/bash

gcc -o 	problem3_4_2_4.exe 	problem3_4_2_4.c 	dSFMT.c

./problem3_4_2_4.exe


gnuplot <<EOF
set terminal postscript eps enhanced color
set output "PDF.eps"
set size 0.6,0.6
set xlabel "X"
set ylabel "PDF"
set log xy
set format x "10^{%L}"
set format y "10^{%L}"
plot "PDF.dat" u 1:2 noti w l , 10*x**-2 title "x^{-2}"
EOF


gnuplot <<EOF
set terminal postscript eps enhanced color
set output "CDF.eps"
set size 0.6,0.6
set xlabel "X"
set ylabel "CDF"
set log xy
set format x "10^{%L}"
set format y "10^{%L}"
plot "CDF.dat" u 1:2 noti w l , x**-1 title "x^{-1}"
EOF
